# Interface THREEGLTF

interface THREEGLTF {
animations: AnimationClip[];
asset: {
copyright?: string;
extensions?: any;
extras?: any;
generator?: string;
minVersion?: string;
version?: string;
};
cameras: Camera[];
parser: GLTFParser;
scene: Group;
scenes: Group[];
userData: any;
}

- Defined in lib/gltf-loader/thirdparty/GLTFLoader.d.ts:15

##### Index

### Properties

animations
asset
cameras
parser
scene
scenes
userData

## Properties

### animations

animations: AnimationClip[]

- Defined in lib/gltf-loader/thirdparty/GLTFLoader.d.ts:16

### asset

asset: {
copyright?: string;
extensions?: any;
extras?: any;
generator?: string;
minVersion?: string;
version?: string;
}

- Defined in lib/gltf-loader/thirdparty/GLTFLoader.d.ts:20

### cameras

cameras: Camera[]

- Defined in lib/gltf-loader/thirdparty/GLTFLoader.d.ts:19

### parser

parser: GLTFParser

- Defined in lib/gltf-loader/thirdparty/GLTFLoader.d.ts:28

### scene

scene: Group

- Defined in lib/gltf-loader/thirdparty/GLTFLoader.d.ts:17

### scenes

scenes: Group[]

- Defined in lib/gltf-loader/thirdparty/GLTFLoader.d.ts:18

### userData

userData: any

- Defined in lib/gltf-loader/thirdparty/GLTFLoader.d.ts:29